com.streambase.sb

## Enum TupleJSONUtil.Options

- java.lang.Object
- - java.lang.Enum<TupleJSONUtil.Options>
  - - com.streambase.sb.TupleJSONUtil.Options

- All Implemented Interfaces:
    Serializable, Comparable<TupleJSONUtil.Options>
  Enclosing class:
    TupleJSONUtil

      public static enum TupleJSONUtil.Options
      extends Enum<TupleJSONUtil.Options>

  Options for serializing JSON.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INCLUDE_NULL_FIELDS` Include null fields in JSON maps.
    `PREFER_LIST` Serialize sub tuples as JSON Lists.
    `PREFER_MAP` Serialize sub tuples as JSON Objects.
    `PRETTY_FORMAT` Print the JSON in pretty format
    `TIMESTAMP_AS_LONG` Save Timestamp fields as longs

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TupleJSONUtil.Options` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TupleJSONUtil.Options[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PREFER_MAP

          public static final TupleJSONUtil.Options PREFER_MAP

      Serialize sub tuples as JSON Objects.

      PREFER_LIST and PREFER_MAP are mutually exclusive.

    - #### PREFER_LIST

          public static final TupleJSONUtil.Options PREFER_LIST

      Serialize sub tuples as JSON Lists.

      PREFER_LIST and PREFER_MAP are mutually exclusive.

    - #### INCLUDE_NULL_FIELDS

          public static final TupleJSONUtil.Options INCLUDE_NULL_FIELDS

      Include null fields in JSON maps. Default is to omit them.

    - #### TIMESTAMP_AS_LONG

          public static final TupleJSONUtil.Options TIMESTAMP_AS_LONG

      Save Timestamp fields as longs

    - #### PRETTY_FORMAT

          public static final TupleJSONUtil.Options PRETTY_FORMAT

      Print the JSON in pretty format

  - ### Method Detail

    - #### values

          public static TupleJSONUtil.Options[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TupleJSONUtil.Options c : TupleJSONUtil.Options.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TupleJSONUtil.Options valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.